Subject: bug#5757: String literal parse problem in ruby-mode

From: Chong Yidong <[email-masked]>
Date: Sat, 09 Apr 2011 16:34:10 -0400

Stefan Monnier <[email-masked]> writes:

> His proposed fix is not correct: in ruby (like in Elisp) ?<char> is used
> for chars (including ?' and ?") and $' and $" are also special vars, so
> his fix just disables the special treatment of ?.
> For Emacs-24, we use a different chunk of code which doesn't suffer from
> this problem (mostly calling syntax-ppss to determine if we're inside
> a string).

Is this worth backporting to Emacs 23?  If not, let's close this bug.